Skip to main content
GET
/
api
/
v1
/
books
List books
curl --request GET \
  --url https://demo.komga.org/api/v1/books \
  --header 'Authorization: Basic <encoded-value>'
{
  "content": [
    {
      "created": "2023-11-07T05:31:56Z",
      "deleted": true,
      "fileHash": "<string>",
      "fileLastModified": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "lastModified": "2023-11-07T05:31:56Z",
      "libraryId": "<string>",
      "media": {
        "comment": "<string>",
        "epubDivinaCompatible": true,
        "epubIsKepub": true,
        "mediaProfile": "<string>",
        "mediaType": "<string>",
        "pagesCount": 123,
        "status": "<string>"
      },
      "metadata": {
        "authors": [
          {
            "name": "<string>",
            "role": "<string>"
          }
        ],
        "authorsLock": true,
        "created": "2023-11-07T05:31:56Z",
        "isbn": "<string>",
        "isbnLock": true,
        "lastModified": "2023-11-07T05:31:56Z",
        "links": [
          {
            "label": "<string>",
            "url": "<string>"
          }
        ],
        "linksLock": true,
        "number": "<string>",
        "numberLock": true,
        "numberSort": 123,
        "numberSortLock": true,
        "releaseDateLock": true,
        "summary": "<string>",
        "summaryLock": true,
        "tags": [
          "<string>"
        ],
        "tagsLock": true,
        "title": "<string>",
        "titleLock": true,
        "releaseDate": "2023-12-25"
      },
      "name": "<string>",
      "number": 123,
      "oneshot": true,
      "seriesId": "<string>",
      "seriesTitle": "<string>",
      "size": "<string>",
      "sizeBytes": 123,
      "url": "<string>"
    }
  ],
  "empty": true,
  "first": true,
  "last": true,
  "number": 123,
  "numberOfElements": 123,
  "pageable": {
    "offset": 123,
    "pageNumber": 123,
    "pageSize": 123,
    "paged": true,
    "sort": {
      "empty": true,
      "sorted": true,
      "unsorted": true
    },
    "unpaged": true
  },
  "size": 123,
  "sort": {
    "empty": true,
    "sorted": true,
    "unsorted": true
  },
  "totalElements": 123,
  "totalPages": 123
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

library_id
string[]
media_status
enum<string>[]
Available options:
UNKNOWN,
ERROR,
READY,
UNSUPPORTED,
OUTDATED
read_status
enum<string>[]
Available options:
UNREAD,
READ,
IN_PROGRESS
released_after
string<date>
tag
string[]
unpaged
boolean
page
integer

Zero-based page index (0..N)

size
integer

The size of the page to be returned

sort
string[]

Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Response

OK

content
object[]
empty
boolean
first
boolean
last
boolean
number
integer<int32>
numberOfElements
integer<int32>
pageable
object
size
integer<int32>
sort
object
totalElements
integer<int64>
totalPages
integer<int32>